ad_page_contract {
    change what are managing, content or template
} {
    manage_type:notnull
    return_url:optional
}


switch -exact $manage_type {
    content {
        ad_set_client_property -persistent t [ad_conn package_id] manage_type content
    } 
    template {
        ad_set_client_property -persistent t [ad_conn package_id] manage_type template
    } 
    category {
        ad_set_client_property -persistent t [ad_conn package_id] manage_type category
    }
    search {
        ad_set_client_property -persistent t [ad_conn package_id] manage_type search
    }
    default {
        ns_log error "bcms-ui-base: unknown manage type"
        error "unknown manage_type, valid are content, template, category"
    }
}

if {[info exists return_url]} {
    ad_returnredirect $return_url
    ad_script_abort
} else {
    ad_returnredirect [ad_conn package_url]
    ad_script_abort
}
